Subject: bug#31241: closed (Re: [bug#31241] [PATCH 00/13] Add Duniter's bindings for Python)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 May 2018 10:08:02 +0000

Your bug report

#31241: [PATCH 00/13] Add Duniter's bindings for Python

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31241: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31241
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#31241] [PATCH 00/13] Add Duniter's bindings for Python
From: Nicolas Goaziou <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Fri, 11 May 2018 12:07:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Ludovic Courtès) writes:

> I skimmed over the patches.  There are a few descriptions that should be
> turned into real sentences, if you don’t mind.  :-)

Fixed.

> I haven’t tried building them, but otherwise it LGTM.

Pushed. Thank you for the review.

Regards,

-- 
Nicolas Goaziou                                                0x80A93738

Subject: [PATCH 00/13] Add Duniter's bindings for Python
From: Nicolas Goaziou <[email-masked]>
To: [email-masked]
Cc: Nicolas Goaziou <[email-masked]>
Date: Mon, 23 Apr 2018 01:01:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The ultimate goal is to package Sakia (<http://sakia-wallet.org>), but I'm
failing so far (PyQt5 not found even though it is a propagated input).
Anyway, the duniterpy library is a big step forward towards that goal.

Feedback welcome.

Regards,

Nicolas Goaziou (13):
  gnu: python-attrs: Update to 17.4.0.
  gnu: Add python-async-generator.
  gnu: Add python-pycares.
  gnu: Add python-async-timeout.
  gnu: Add python-idna-ssl.
  gnu: Add python-base58.
  gnu: Add python-pylibscrypt.
  gnu: Add python-multidict.
  gnu: Add python-aiodns.
  gnu: Add python-yarl.
  gnu: Add python-libnacl.
  gnu: Add python-aiohttp.
  gnu: Add python-duniterpy.

 gnu/packages/python-crypto.scm | 122 +++++++++++++++++++++++++++++++++
 gnu/packages/python-web.scm    | 110 +++++++++++++++++++++++++++++
 gnu/packages/python.scm        |  89 +++++++++++++++++++++---
 3 files changed, 311 insertions(+), 10 deletions(-)

-- 
2.17.0